* Hirose et al. (2024):
* Arctic Warming through Interseasonal Feedback Effect
* Suppressed by Ice Sheets in Past Interglacials

* GrADS script to make fig S6 using netCDF files
* tested with GrADS version 2.2.1
* use in landscape mode

 'reinit'
 'set display color white'
 'c'

* blue                       red
 'set rgb 21 235 235 255' ; 'set rgb 31 255 255 150'
 'set rgb 22 185 185 255' ; 'set rgb 32 255 225 050'
 'set rgb 23 120 120 255' ; 'set rgb 33 255 150 000'
 'set rgb 24 060 060 255' ; 'set rgb 34 255 075 000'
 'set rgb 25 000 000 255' ; 'set rgb 35 255 000 000'
 'set rgb 26 000 000 180' ; 'set rgb 36 180 000 000'
 'set rgb 27 000 000 100' ; 'set rgb 37 100 000 000'

  x1.1=0.50 ; x2.1= 5.25
  x1.2=5.75 ; x2.2=10.50

  y1=2.00 ; y2= 5.00 ; y3=5.50

  vname = 'cldlw'
  tit   = 'Cloud LW'

 'sdfopen dat_s6.nc'
 'set grads off'
 'set grid off'
 'set map 1 1 1'
 'set gxout shaded'
 'set strsiz 0.15'
 'set string 1 c'
 'set lat -90 90'
  k=1
  while(k<=2)
    if(k=1) ; ka=130 ; else ; ka=125 ; endif
   'set parea 'x1.k' 'x2.k' 'y1' 'y2
   'set gxout shaded'
   'set clevs -12 -10 -8 -6 -4 -2 0 2 4 6 8'
   'set ccols 27 26 25 24 23 22 21 31 32 33 34 35'
    vnam=vname''ka'ka'
   'd 'vnam
    xc=(x1.k+x2.k)/2
    yc=y2+0.14
   'draw string 'xc' 'yc' SON 'ka'ka 'tit' contribution'
    k=k+1
  endwhile
 'close 1'

 'set parea 0.0 11.0 0.0 8.5'
  xc=(x2.1+x1.2)/2
 'cbarn.gs 1.0 0 'xc' 1.4'
 'draw string  10.0 1.35 (`ao`nC)'

 'gxprint fig_s6.eps'
